This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 693158 - Review Request: python-viper - A minimalistic scientific plotter and run-time visualization module
Review Request: python-viper - A minimalistic scientific plotter and run-time...
Status: CLOSED DUPLICATE of bug 903285
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW dolfin
  Show dependency treegraph
 
Reported: 2011-04-03 04:50 EDT by Fabian Affolter
Modified: 2013-01-23 11:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-05 16:25:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2011-04-03 04:50:42 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-viper.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-viper-0.4.7-1.fc14.src.rpm

Project URL: https://launchpad.net/fenics-viper

Description:
A simple mesh plotter and run--time visualization module for plotting and
saving simulation data. The class C{Viper} can visualize solutions given as
numpy arrays, and meshes that provide the two methods C{cells()} and
C{coordinates()}. These methods should return numpy arrays specifying the
node-element ordering and coordinates of the nodes, respectively.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2969784

rpmlint output:
[fab@laptop023 SRPMS]$ rpmlint python-viper-0.4.7-1.fc14.src.rpm
python-viper.src: W: spelling-error Summary(en_US) minimalistic -> minimalist, Minimalist, minimalism
python-viper.src: W: spelling-error %description -l en_US numpy -> bumpy, lumpy, dumpy
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[fab@laptop023 noarch]$ rpmlint python-viper*
python-viper.noarch: W: spelling-error Summary(en_US) minimalistic -> minimalist, Minimalist, minimalism
python-viper-demo.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 1 Volker Fröhlich 2011-06-27 18:14:02 EDT
"run--time" -- I think that should be "run-time".

What is "dolfin"?

(defattr is not required.)
Comment 2 Fabian Affolter 2012-03-04 07:50:34 EST
(In reply to comment #1)
> "run--time" -- I think that should be "run-time".

fixed

> What is "dolfin"?

DOLFIN is the C++/Python interface of FEniCS.

> (defattr is not required.)

removed

* Sun Mar 04 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-1
- Updated to latest upstream version

Updates files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-viper.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/python-viper-1.0.0-1.fc16.src.rpm
Comment 3 Volker Fröhlich 2012-03-05 16:22:53 EST
The license seems to be LGPLv3+. You might rather want to include COPYING.LESSER therefore as well.

Please remove the buildroot definition.

You must require vtk-python -- not vtk:

src/viper/viper.py:            from vtk.wx.wxVTKRenderWindow import wxVTKRenderWindow

The demo files are contained in the main and the demo package.
Comment 4 Volker Fröhlich 2012-04-10 17:49:01 EDT
Any news, Fabian?
Comment 5 Jonathan Underwood 2012-05-02 17:48:37 EDT
Regarding Volker's point about the demo directory, you can add this to the main package %files section to fix that:

%exclude %{python_sitelib}/%{srcname}/demo

However, I really wonder if it's worth splitting off the demo files into a sub-package - there's really not many of them - is it worth the yum metadat bloat of an extra package? I note that your review request for python-ufl doesn't split out the demo files for that package. For consistency, and given the small number of demo files, I would recommend not having a separate -demo sub-package.
Comment 6 Jonathan Underwood 2012-05-02 17:54:08 EDT
Oh: actually I do now see your thinking behind the separate -demo sub-package - the demos require dolfin which is not yet available in the repos. My feeling is that you could still merge the demo files into the main package, and drop the dolfin require until dolfin becomes available in the repos.

[Aside: I am presently working through getting all of Fenics packaged for RHEL6 and your packages are a great start - drop me a mail if you're interested in collaborating on dolfin and ufc. I plan to get them all into the Fedora and EPEL repos eventually.]
Comment 7 Mario Blättermann 2012-08-26 14:48:46 EDT
@Fabian, you didn't response to this review request for some months. Are you still interested in to work on this package? Otherwise, this request should be closed as FE-DEADREVIEW.
Comment 8 Jonathan Underwood 2012-09-04 09:43:08 EDT
Please don't close this review as FE-DEADREVIEW. I am working to get the FeNICS stack into Fedora/EPEL, so if Fabian doesn't respond, then change the submitter to me and I'll continue to work on the package.
Comment 9 Mario Blättermann 2012-09-04 13:13:58 EDT
(In reply to comment #8)
> ... then change the submitter to me and I'll continue to work on the package.

As far as I know, the submitter of a review request cannot be changed. If you want to pick up this package, file a new review request and mark the old one as a duplicate.
Comment 10 Mario Blättermann 2012-10-05 16:25:17 EDT
One month later, nothing has happened... I'll close this now as FF-DEADREVIEW.

@Jonathan, feel free to reuse the existing stuff, as long as it stays available from Fabian's webspace. As I already wrote, the submitter of a review request cannot be changed. Open a new one and mark this one as a duplicate.
Comment 11 Jonathan Underwood 2012-10-07 19:53:49 EDT
Thanks for the pointless bureaucracy Mario. Seriously, this was unnecessary - I have seen plenty of review requests where the final submitter/owner was not the original one. Now, I will need to create a new bug report for a new review, and a reviewer will need to re-read through this one for Volker's comments. Honestly, with a volunteer contributed project like this, putting needless extra work in really isn't helpful.
Comment 12 Jonathan Underwood 2012-10-07 19:55:40 EDT
As well as needing to open a new bug, this has messed up the tracker bug for FENICS. Thanks a bunch.
Comment 13 Mario Blättermann 2012-10-08 13:35:13 EDT
(In reply to comment #11)
> - I have seen plenty of review requests where the final submitter/owner was
> not the original one.

Never seen such review requests, although I'm doing reviews for some years. However, if you know about a convenient way to use this request for yourselves, feel free to reopen it.
Comment 14 Jonathan Underwood 2013-01-23 11:21:52 EST
Thanks again for the unhelpfullness and extra work Mario.

*** This bug has been marked as a duplicate of bug 903285 ***

Note You need to log in before you can comment on or make changes to this bug.